Get Action
Get one action and its current status.
Get one action and its current status.
Scope: email_testing.messages.read
Path Parameters
idstringrequiredThe ID of the simulated action, for example 2a8e74f9-aac3-43e8-855a-0b3d61e85744. It is the id returned when you run an action, and is also listed by List Actions and sent as action_id in the action.completed webhook.
Sample Request
Request
curl "https://api.maileroo.com/v1/email-testing/actions/7c9e6679-7425-40de-944b-e07fc1f90ae7" \
-H "Authorization: Bearer roo_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"Sample Response
The response is wrapped in a data object.
Response
{
"data": {
"id": "2a8e74f9-aac3-43e8-855a-0b3d61e85744",
"message_id": "d5949378-3069-4d8f-a8f3-6e5edf5d6060",
"type": "click",
"status": "succeeded",
"links": [],
"created_at": "2025-01-01T12:00:00Z",
"finished_at": "2025-01-01T12:00:01Z"
}
}Errors
404 Not Found— the resource does not exist or is not owned by the account.